%define name uade
%define version 2.05
%define fname %name-%{version}
%define release %mkrel 1

Summary: Unix Amiga Delitracker Emulator
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://zakalwe.virtuaalipalvelin.net/uade/uade2/%{fname}.tar.bz2
URL: http://zakalwe.virtuaalipalvelin.net/uade/
License: GPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: lha
BuildRequires: lha
BuildRequires: libao-devel
#gw for mod2ogg
%if %mdkversion >= 200610
#Suggests: vorbis-tools
#Suggests: normalize
#Suggests: flac
#Suggests: lame
%endif

%description
Plays old amiga tunes with UAE emulation and cloned m68k-assembler
Amiga delitracker API. With cloned delitracker API you don't have to
port old players from Amiga, you can re-use old Deliplayers that use
Amiga Delitracker API. Deliplayers are used like on Amiga, they exist
in some directory and you can copy/remove them as you wish. "Installing"
new players is just copying files to your 'players' directory.

%package -n xmms-uade
Group: Sound
Summary: Unix Amiga Delitracker Emulator Xmms input plugin
BuildRequires: libxmms-devel
Requires: xmms
Requires: uade = %version

%description -n xmms-uade
Plays old amiga tunes with UAE emulation and cloned m68k-assembler
Amiga delitracker API. With cloned delitracker API you don't have to
port old players from Amiga, you can re-use old Deliplayers that use
Amiga Delitracker API. Deliplayers are used like on Amiga, they exist
in some directory and you can copy/remove them as you wish. "Installing"
new players is just copying files to your 'players' directory.

This is the input plugin for xmms based on uade.

%package -n audacious-uade
Group: Sound
Summary: Unix Amiga Delitracker Emulator Audacious Media Player input plugin
BuildRequires: audacious-devel
Requires: audacious
Provides: beep-media-player-uade
Obsoletes: beep-media-player-uade
Requires: uade = %version

%description -n audacious-uade
Plays old amiga tunes with UAE emulation and cloned m68k-assembler
Amiga delitracker API. With cloned delitracker API you don't have to
port old players from Amiga, you can re-use old Deliplayers that use
Amiga Delitracker API. Deliplayers are used like on Amiga, they exist
in some directory and you can copy/remove them as you wish. "Installing"
new players is just copying files to your 'players' directory.

This is the input plugin for Audacious Media Player based on uade.

%prep
%setup -q -n %fname
find songs -name CVS|xargs rm -rfv
chmod 644 songs/* AUTHORS ChangeLog
chmod 755 songs/
%build
export CFLAGS="%optflags"
export CC="gcc -DI_AM_A_THIRD_PARTY_DEVELOPER_WHO_NEEDS_TO_BE_KICKED_IN_THE_HEAD_BY_CHUCK_NORRIS"
./configure --prefix=%{_prefix} --libdir=%_libdir --package-prefix=%buildroot --with-ao
%make

%install
rm -rf %buildroot
make install PACKAGEPREFIX=%buildroot BINDIR=%buildroot%_bindir DATADIR=%buildroot%_datadir/uade2 XMMSPLUGINDIR=%buildroot%_libdir/xmms/Input/
install -m 755 src/frontends/mod2ogg/mod2ogg2.sh %buildroot%_bindir/mod2ogg
%if %_lib != lib
mv %buildroot%_prefix/lib/pkgconfig %buildroot%_libdir
%endif

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog
%doc songs
%{_bindir}/uade123
%_bindir/mod2ogg
%{_datadir}/uade2
%_prefix/lib/uade2/
%_libdir/pkgconfig/uade.pc
%_mandir/man1/uade123.1*

%files -n xmms-uade
%defattr(-,root,root)
%doc ChangeLog
%{_libdir}/xmms/Input/libuade2.so
%{_bindir}/uadexmmsadd

%files -n audacious-uade
%defattr(-,root,root)
%doc ChangeLog
%{_libdir}/audacious/Input/libuade2.so


%changelog
* Fri Jan 26 2007 Götz Waschk <waschk@mandriva.org> 2.05-1mdv2007.0
+ Revision: 113612
- new version

* Sun Jan 21 2007 Götz Waschk <waschk@mandriva.org> 2.04-1mdv2007.1
+ Revision: 111452
- fix installation on x86_64
- Import uade



* Sun Jan 21 2007 Götz Waschk <waschk@mandriva.org> 2.04-1mdv2007.1
- New version 2.04

* Sun Aug 27 2006 Gtz Waschk <waschk@mandriva.org> 2.03-1mdv2007.0
- update file list
- New release 2.03

* Mon May 22 2006 Götz Waschk <waschk@mandriva.org> 2.02-3mdk
- rebuild for new audacious

* Fri May  5 2006 Gtz Waschk <waschk@mandriva.org> 2.02-2mdk
- disable suggests for now

* Tue Mar 14 2006 Gtz Waschk <waschk@mandriva.org> 2.02-1mdk
- add audacious plugin
- New release 2.02

* Fri Jan 13 2006 Gtz Waschk <waschk@mandriva.org> 2.01-1mdk
- suggest mod2ogg deps
- add mod2ogg
- New release 2.01

* Thu Jan  5 2006 Gtz Waschk <waschk@mandriva.org> 2.00-3mdk
- fix dir on x86_64

* Sun Jan  1 2006 Gtz Waschk <waschk@mandriva.org> 2.00-2mdk
- fix data dir

* Sun Jan  1 2006 Gtz Waschk <waschk@mandriva.org> 2.00-1mdk
- drop audacious plugin
- drop patch
- new URL
- New release 2.00

* Fri Dec  2 2005 Gtz Waschk <waschk@mandriva.org> 1.03-3mdk
- rebuild for audacious

* Thu Oct 27 2005 Lenny Cartier <lenny@mandriva.com> 1.03-2mdk
- rebuild for dependencies

* Mon Jul 25 2005 Gtz Waschk <waschk@mandriva.org> 1.03-1mdk
- new version

* Mon May 23 2005 Gtz Waschk <waschk@mandriva.org> 1.03-0.pre1.1mdk
- drop patch
- new version

* Mon May  9 2005 Gtz Waschk <waschk@mandriva.org> 1.02-2mdk
- patch for gcc 4

* Fri May 06 2005 Gtz Waschk <waschk@mandriva.org> 1.02-1mdk
- New release 1.02

* Mon Mar 14 2005 Götz Waschk <waschk@linux-mandrake.com> 1.01-1mdk
- New release 1.01

* Sun Oct 31 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.00-1mdk
- new version

* Mon Sep 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.00-0.pre1.1mdk
- switch to libao output
- new version

* Wed Jul 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.91-1mdk
- new version

* Mon Jul 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.91-0.pre3.1mdk
- drop patch
- new version

* Fri Jul 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.91-0.pre2.1mdk
- use installed-docs
- patch for beep-media-player build
- add beep-media-player plugin
- new version

* Thu Jul 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.91-0.pre1.1mdk
- split out xmms plugin
- update docs list
- build with optimization flags
- new version

* Tue Jun 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.90-1mdk
- enable alsa
- new version

* Fri Apr 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre2.1mdk
- drop merged patch 0
- new version

* Thu Apr  8 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.pre1.1mdk
- enable parallel build
- add man page
- new version

* Tue Jan  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.81-1mdk
- new version

* Mon Sep 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.80-2mdk
- fix buildrequires
- drop prefix
- fix url

* Sat Aug 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.80-1mdk
- fix buildrequires
- new version

* Thu Jun 26 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.80-0.pre7.1mdk
- new version

* Wed May 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.80-0.pre6.1mdk
- new version

* Wed May 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.80-0.pre5.1mdk
- new version

* Sun Mar 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.80-0.pre4.1mdk
- new version

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.80-0.pre3.2mdk
- fix buildrequires

* Sun Feb 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.80-0.pre3.1mdk
- fix installation
- new version

* Thu Jan 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.80-0.pre2.1mdk
- new version

* Mon Jan 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.80-0.pre1.1mdk
- new version

* Mon Jan  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.73-1mdk
- new version

* Tue Dec 10 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.73-0.pre6.1mdk
- new version

* Wed Nov 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.73-0.pre5.1mdk
- new version

* Tue Nov 19 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.73-0.pre4.1mdk
- fix installation
- disable parallel build
- fix URL
- new version

* Tue Nov 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.73-0.pre1.1mdk
- new version

* Fri Nov  8 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.72-0.pre1.1mdk
- fix the fixing of the file permissions
- add a fake libdir to configure to please rpmlint
- enable parallel build
- drop patch
- new version

* Thu Jun  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.71-1mdk
- don't use %%make
- patch pwrap frontend to use the HOME environment variable
- requires lha
- new version

* Thu Feb  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.70-1mdk
- fixed documentation
- players are now in %%_datadir/uade
- remove patch
- 0.70

* Tue Jan  8 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.60-2mdk
- really fix directory to %%_libdir/uade

* Tue Jan  8 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.60-1mdk
- added programs to %%_bindir
- fixed installation
- regenerate patch
- 0.60

* Mon Dec  3 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.51-1mdk
- 0.51
- added db-content file to doc

* Thu Nov  1 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.50-2mdk
- added URL

* Wed Oct 24 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.50-1mdk
- updated doc
- 0.50

* Tue Sep 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.40-1mdk
- added by Gtz Waschk <waschk@linux-mandrake.com> :
	- patch to install in libdir
	- initial package
